(function (Drupal) {
    Drupal.behaviors.signmakerEmbed = {
        attach(context) {
            const iframes = document.querySelectorAll('.signmaker-iframe');
            function iResize () {
                Array.from(iframes).forEach(function (iframe) {
                    iframe.style.height = iframe.contentWindow.document.body.offsetHeight + 'px';
                });
            }
            Array.from(iframes).forEach(function (iframe) {
                iframe.addEventListener('load', function () {
                    setTimeout(iResize, 0);
                });
            });
            const tabs = document.querySelectorAll('.nav-tabs .nav-link');
            Array.from(tabs).forEach(function (tab) {
                tab.addEventListener('click', () => {
                    setTimeout(iResize, 500);
                });
            });
        }
    };
})(Drupal);